Bug 249212 - Review Request: inchi - The IUPAC International Chemical Identifier library
Summary: Review Request: inchi - The IUPAC International Chemical Identifier library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-22 18:32 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2007-12-12 19:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 19:01:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-07-22 18:32:33 UTC
Spec URL: http://rpm.greysector.net/extras/inchi.spec
SRPM URL: http://rpm.greysector.net/extras/inchi-1.0.1-8.src.rpm
Description:
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary identifier for chemical substances that can be used in printed and electronic data sources thus enabling easier linking of diverse data compilations. It was developed under IUPAC Project 2000-025-1-800 during the period 2000-2004. Details of the project and the history of its progress are available from the project web site.

This was originally built from sources included in openbabel. Release 8 is necessary to maintain a proper upgrade path. I have a pending change for openbabel in devel to build against this already.

Comment 1 Warren Togami 2007-07-24 18:23:29 UTC
> License: LGPL
Not necessary to do this in the -devel package.

> If you are going to develop programs which will use this library
> you should install inchi-devel.  You'll also need to have the
> inchi package installed.

Is this part necessary?

http://www.iupac.org/inchi/license.html
Licensing is confusing...
- It implies trademark integrity within the context of copyright terms.
- It implies a "request" of copyright advertisement clause, but it seems
non-binding by this language.  Is this the intent?
- None of the source files contain proper copyright notices.

Recommendation:
1) Upstream should clear up this confusion by creating a clear separation
between the copyright and trademark rights.  Copyright explicitly LGPL, and have
a separate page/file containing the trademark guidelines.

http://www.mozilla.org/foundation/trademarks/policy.html
As an example, Mozilla uses a trademark guideline to protect the integrity of
their mark, without running afoul of the (L)GPL requirement of "no additional
restrictions" on the copyright.

2) All source files must contain a proper and explicit copyright notice.  To
quote LGPL: " You must give prominent notice with each copy of the work that the
Library is used in it and that the Library and its use are covered by this
License."  Under the terms of the LGPL, those copyright statements would of
course not be removed by others.

Comment 2 Dominik 'Rathann' Mierzejewski 2007-08-12 10:09:43 UTC
Will this reply:
http://sf.net/mailarchive/message.php?msg_name=20070810112606.ZSMM17393.aamtaout02-winn.ispmail.ntl.com%40ALAN
suffice to get this review a green light?

Comment 3 Warren Togami 2007-08-13 13:44:38 UTC
Given that this package is fine split, I'd rather wait until the upstream source
is fully fixed and explicitly clarified before approving this.  IANAL, but
upstream merely stating "go ahead" doesn't satisfy #2 above.

Comment 5 Warren Togami 2007-09-19 23:16:58 UTC
Excellent, the licensing is FAR less confusing and explicit now.

Possibly a few more issues to deal with before approval:
[builder1@newcaprica x86_64]$ rpmlint inchi-1.0.2-0.1.fc8.x86_64.rpm 
inchi.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/inchi-1.0.2/LICENSE
inchi.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/inchi-1.0.2/readme.txt
inchi.x86_64: W: dangling-relative-symlink /usr/lib64/libinchi.so.1
libinchi.so.1.01.00
inchi.x86_64: W: invalid-license LGPL
inchi.x86_64: E: invalid-ldconfig-symlink /usr/lib64/libinchi.so.1.02.00
libinchi.so.1.01.00

http://fedoraproject.org/wiki/Licensing
The invalid-license warning is a must fix.  Please refer to the licensing
guidelines to use a label that is more specific to the LGPL license and version.

The symlink warning and errors are possibly suspect, please look into that.

Comment 6 Warren Togami 2007-10-01 15:49:28 UTC
ping

Comment 8 Dominik 'Rathann' Mierzejewski 2007-10-23 21:59:15 UTC
ping

Comment 9 Warren Togami 2007-10-24 21:29:35 UTC
OK, everything is fixed and rpmlint is completely silent.  Good job.

+1 APPROVED

Comment 10 Dominik 'Rathann' Mierzejewski 2007-10-24 22:42:39 UTC
New Package CVS Request
=======================
Package Name: inchi
Short Description: The IUPAC International Chemical Identifier library
Owners: rathann
Branches: F-8 F-7
InitialCC: 
Cvsextras Commits: yes

Comment 11 Dominik 'Rathann' Mierzejewski 2007-10-24 22:43:15 UTC
Thanks for the review!

Comment 12 Kevin Fenzi 2007-10-25 00:58:39 UTC
cvs done.

Comment 13 Dominik 'Rathann' Mierzejewski 2007-11-08 19:01:08 UTC
Built for devel. Builds for other branches will follow after I've updated openbabel.

Comment 14 Dominik 'Rathann' Mierzejewski 2007-12-12 13:02:50 UTC
Package Change Request
======================
Package Name: inchi
New Branches: EL-5


Comment 15 Kevin Fenzi 2007-12-12 19:33:15 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.